Skip navigation
chicken_tech
Currently Being Moderated

SCUP 2011 & Adobe Reader XI & XI Transition Catalog Problems

Jan 31, 2013 9:19 AM

Tags: #deployment #administrator #sccm #scup #scup_2011 #wsus

Hi-

 

I'm trying to use SCUP 2011 with WSUS 3.0 SP2 (Patched with latest rollup hotfix - WSUS-KB2734608-x64.exe). The problem that I'm running into is that it gives me the following error when trying to publish either Adobe Reader XI or either of the 2 transition packages "Reader 11.0.01 Update" or "Reader Multi Lingual User Interface 11.0.01 Update":

 

3 updates failed to be published.  View log here for more details.

     3 updates (includes dependencies) failed to build dependency graph.

 

Here is the bit of the logfile that includes me trying to publish just these 3 packages:

 

 

Updates workspace: Starting publish wizard with 3 updates.Updates Publisher1/31/2013 12:12:48 PM1 (0x0001)
    Publish: Preparing list of selected updates for publishing.Updates Publisher1/31/2013 12:12:53 PM13 (0x000D)
    Connecting to a local update server with locally detected settings.Updates Publisher1/31/2013 12:12:53 PM13 (0x000D)
    Publish: Update server name: GRACESV4AUpdates Publisher1/31/2013 12:12:53 PM13 (0x000D)
    Publish: Publish operation starting for 3 updates.Updates Publisher1/31/2013 12:12:53 PM13 (0x000D)
    Publish: Publish: Verifying update server is configured with a certificate prior to publishing.Updates Publisher1/31/2013 12:12:53 PM13 (0x000D)
    Publish: Publish: Update server appears to be configured with a certificate.Updates Publisher1/31/2013 12:12:54 PM13 (0x000D)
    Building dependency graph for update 'Reader Multi Lingual User Interface 11.0.01 Update (UpdateId:'e82be86d-a19c-4392-b972-260672243721' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
    Update 'Reader Multi Lingual User Interface 11.0.01 Update (UpdateId:'e82be86d-a19c-4392-b972-260672243721' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' has direct dependency on 2 other items.Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
            Evaluating dependency on item '3e0afb10-a9fb-4c16-a60e-5790c3803437'...Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
            Update with id '3e0afb10-a9fb-4c16-a60e-5790c3803437' was not found in the database, unable to fully evaluate it and it's dependencies.Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
            Evaluating dependency on item '59653007-e2e9-4f71-8525-2ff588527978'...Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
            Update with id '59653007-e2e9-4f71-8525-2ff588527978' was not found in the database, unable to fully evaluate it and it's dependencies.Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
Found total of 2 dependencies (may include duplicates).Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
2 dependencies were not found in scup database during dependency evaluation for update 'Reader Multi Lingual User Interface 11.0.01 Update (UpdateId:'e82be86d-a19c-4392-b972-260672243721' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
PublishItem: Update 'Reader Multi Lingual User Interface 11.0.01 Update (UpdateId:'e82be86d-a19c-4392-b972-260672243721' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' cannot be published as its dependency '3e0afb10-a9fb-4c16-a60e-5790c3803437' does not exist in both the updates publisher database and in WSUS.Updates Publisher1/31/2013 12:12:55 PM13 (0x000D)
Building dependency graph for update 'Reader XI English Upgrade (UpdateId:'c448bd67-9e61-42d7-9a22-f87c14ef28a0' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
    Update 'Reader XI English Upgrade (UpdateId:'c448bd67-9e61-42d7-9a22-f87c14ef28a0' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' has direct dependency on 2 other items.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Evaluating dependency on item '59653007-e2e9-4f71-8525-2ff588527978'...Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Update with id '59653007-e2e9-4f71-8525-2ff588527978' was not found in the database, unable to fully evaluate it and it's dependencies.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Evaluating dependency on item '3e0afb10-a9fb-4c16-a60e-5790c3803437'...Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Update with id '3e0afb10-a9fb-4c16-a60e-5790c3803437' was not found in the database, unable to fully evaluate it and it's dependencies.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
Found total of 2 dependencies (may include duplicates).Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
2 dependencies were not found in scup database during dependency evaluation for update 'Reader XI English Upgrade (UpdateId:'c448bd67-9e61-42d7-9a22-f87c14ef28a0' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
PublishItem: Update 'Reader XI English Upgrade (UpdateId:'c448bd67-9e61-42d7-9a22-f87c14ef28a0' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' cannot be published as its dependency '59653007-e2e9-4f71-8525-2ff588527978' does not exist in both the updates publisher database and in WSUS.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
Building dependency graph for update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
    Update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' has direct dependency on 2 other items.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Evaluating dependency on item '59653007-e2e9-4f71-8525-2ff588527978'...Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Update with id '59653007-e2e9-4f71-8525-2ff588527978' was not found in the database, unable to fully evaluate it and it's dependencies.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Evaluating dependency on item '3e0afb10-a9fb-4c16-a60e-5790c3803437'...Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
            Update with id '3e0afb10-a9fb-4c16-a60e-5790c3803437' was not found in the database, unable to fully evaluate it and it's dependencies.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
Found total of 2 dependencies (may include duplicates).Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
2 dependencies were not found in scup database during dependency evaluation for update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
PublishItem: Update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' cannot be published as its dependency '59653007-e2e9-4f71-8525-2ff588527978' does not exist in both the updates publisher database and in WSUS.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
PublishProgress: Publish operation completed.Updates Publisher1/31/2013 12:12:56 PM13 (0x000D)
Publish: Background processing completed.Updates Publisher1/31/2013 12:12:56 PM1 (0x0001)

 

For some reason it keeps making this into a table...

In any event, I don't know why I'm missing dependencies (I've the publicly published Adobe Reader catalog downloaded and published in full content, the Adobe Reader 10 Transition Catalog, the Adobe Reader 11 Transition Catalog and finally, the Adobe Reader 11 Catalog - all downloaded directly from Adobe's Administrator Enterprise Deployment guide.)

 

Everything else publishes just fine.  Would LOVE some direction here.  Thanks.

 
Replies
  • Currently Being Moderated
    Jan 31, 2013 11:32 AM   in reply to chicken_tech

    Hello, I am testing the same thing today. Are those dependencies the WSUS Detectoid's? for X86 and x64? Just wondering if our issues are identical.

     

    thanks and I will try to keep you posted if I can find a work around.

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 31, 2013 12:51 PM   in reply to chicken_tech

    Hi Chicken-tech,

     

    Your first post was today, so it seems a tad early to give up. A few points:

    • The admin guide provides extreme detail in most areas, but you're right that not much is provided in the SCCM section. The reason is because Adobe does not document 3rd party products. What, in particular, do you think that is Adobe-product specific that is missing?
    • Can you please clarify this psuedo-sentence: " I don't understand why the latest Reader 11 catalog isn't in SCUP available catalogs like the old one still is and the Flash one" . . . It's not clear what you are saying. The 11.x catalogs are similar to the 10.x catalogs.
    • It seems like your question is: " Why are updates via SCUP failing due to dependencies which are not found?". Let me pass your log on to some folks who might know.

     

    Ben

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2013 5:18 AM   in reply to chicken_tech

    Hello, to chime in again I would like to add that those other "reference updates" appear to be WSUS Detectoid's (never heard of) for x86 and x64 detection. As they are not found in my WSUS database either, I decided to remove them and attempt to re-publish this update. It fails as it can not verify the signature of the file any longer. I have searched for these "detectoids" and cannot find any good information on where these should be and how they get referenced using WSUS. Any help would be great.

     

    Thanks!

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2013 5:47 AM   in reply to chicken_tech

    Hi,

     

    The dependencies that are listed are the detectoids for X86 and x64 based systems (http://msdn.microsoft.com/en-us/library/windows/desktop/bb902472(v=vs. 85).aspx):

     

    x86-based systems: 3E0AFB10-A9FB-4c16-A60E-5790C3803437

    x64-based systems: 59653007-E2E9-4f71-8525-2FF588527978

     

    These detectoids are public detectoids that could be used by everyone. These are not authored by Adobe and as per the message in the log must be present in the WSUS database.

     

    PublishItem: Update 'Reader XI English Upgrade (UpdateId:'c448bd67-9e61-42d7-9a22-f87c14ef28a0' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' cannot be published as its dependency '59653007-e2e9-4f71-8525-2ff588527978' does not exist in both the updates publisher database and in WSUS.       Updates Publisher           1/31/2013 12:12:56 PM  13 (0x000D)

     

    Moreover I tried publishing the update in my environment and the log differs with the one in the post at the marked line:

     

    Updates workspace: Starting publish wizard with 1 updates.  Updates Publisher 01-02-2013 11:13:00    1 (0x0001)

        Publish: Preparing list of selected updates for publishing.   Updates Publisher 01-02-2013 11:13:06     6 (0x0006)

        Connecting to a local update server with locally detected settings. Updates Publisher 01-02-2013 11:13:06  6 (0x0006)

        Publish: Update server name: SCCM2012 Updates Publisher 01-02-2013 11:13:10     6 (0x0006)

        Publish: Publish operation starting for 1 updates.      Updates Publisher 01-02-2013 11:13:10    6 (0x0006)

        Publish: Publish: Verifying update server is configured with a certificate prior to publishing. Updates Publisher 01-02-2013 11:13:10     6 (0x0006)

        Publish: Publish: Update server appears to be configured with a certificate.    Updates Publisher   01-02-2013 11:13:24     6 (0x0006)

        Building dependency graph for update 'Reader 11.0.01 Update - GM (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'  Updates Publisher   01-02-2013 11:13:24     6 (0x0006)

        Update 'Reader 11.0.01 Update - GM (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' has direct dependency on 2 other items.      Updates Publisher 01-02-2013 11:13:25     6 (0x0006)

    Evaluating dependency on item '3e0afb10-a9fb-4c16-a60e-5790c3803437'... Updates Publisher   01-02-2013 11:13:25     6 (0x0006)

    Update with id '3e0afb10-a9fb-4c16-a60e-5790c3803437' was not found in the database, unable to fully evaluate it and it's dependencies.      Updates Publisher 01-02-2013 11:13:25     6 (0x0006)

    Evaluating dependency on item '59653007-e2e9-4f71-8525-2ff588527978'... Updates Publisher   01-02-2013 11:13:25     6 (0x0006)

    Update with id '59653007-e2e9-4f71-8525-2ff588527978' was not found in the database, unable to fully evaluate it and it's dependencies.      Updates Publisher 01-02-2013 11:13:25     6 (0x0006)

    Found total of 2 dependencies (may include duplicates).     Updates Publisher 01-02-2013 11:13:25    6 (0x0006)

    2 dependencies were not found in scup database during dependency evaluation for update 'Reader 11.0.01 Update - GM (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'   Updates Publisher 01-02-2013 11:13:25     6 (0x0006)

    PublishItem: BEGIN--- Publishing 0 (duplicates removed) dependencies for update 'Reader 11.0.01 Update - GM (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'.     Updates Publisher 01-02-2013 11:13:27     6 (0x0006)

    PublishItem: END --- Publishing dependencies for update 'Reader 11.0.01 Update - GM (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'.  Updates Publisher 01-02-2013 11:13:27     6 (0x0006)

     

    In my opinion there is a difference in the WSUS environment as these detectoids are not present in my Updates Publisher database as well but still it is published successfully.

     

    Can you pls. give me more details as to how WSUS is configured. Will pursue the matter with other folks and let you know

     

    Thanks,

    Vinod


     
    |
    Mark as:
  • Currently Being Moderated
    Feb 3, 2013 11:24 PM   in reply to bb2584

    Hi bb2584 & chicken_tech,

     

    Could you pls. re-synchronize your WSUS database and then reimport the Reader 11.0.01 catalog afresh. This seems to be an issue with rule evaluation in your WSUS envrironments.

    Also pls. share your complete SCUP and WSUS logs so that we can investigate more.

     

    Thanks,

    Vinod

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 12, 2013 1:26 AM   in reply to Vinod Dobhal

    Hi bb2584 & chicken_tech,

     

    Are you still able to reporduce the issue after resyncing the WSUS database?

     

    Thanks,

    Vinod

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 12, 2013 5:45 AM   in reply to chicken_tech

    I don't think it could be anything apart from WSUS resyncing. As I said these detectoids are public detectoids and hence need to be present in either of the database (WSUS or SCUP). There is no way to push these through SCUP as it is used for only third party updates. So the only place it has to be is WSUS.

     

    Thanks for verifying.

     

    Regards,

    Vinod

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 5, 2013 3:01 AM   in reply to Vinod Dobhal

    Just trying this now myself. Very frustrating that there are now 3 versions of Adobe Reader out there, constantly needed to be patched. I'm trying to import the SCUP catalogs for 11.x products. It says only to use SCUP 5.0, but all the documentation and images appear to be for version 4.5?

     

    "The SCUP catalogs for 11.x products require the items documented at  http://www.microsoft.com/en-us/download/details.aspx?displaylang=en&am p;id=11940. In particular, SCUP 5.0 should be used. The use of 4.5 throws the error “The update failed SoftwareUpdateRules validation”."

     

    Is this correct? Download the catlog to a lcoal drive, in SCUP click on Catalogs in the bottom left, then click on the Home tab, click on Add. Browse to the catalog and give it a name etc? Import it? Is that it?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 5, 2013 10:32 AM   in reply to dudeness44

    The sys reqs specifically say use Scup 5.0 with the 11.x catalog and 4.5 with the 10.x catalog: http://www.adobe.com/devnet-docs/acrobatetk/tools/AdminGuide/sccm.html #system-requirements

     

    The doc does not try to document SCCM or SCUP deployment methodologies as those are Microsoft products. To learn more about how to use that software, refer to the MS documentation.

     

    The number of updates released for 10.x and 11.x are around 50% less than 9.x due to security enhancements. They typically get updates 3-4 times a year. 9.x products are updated more often but that product is due to be end-of-lifed soon.

     

    Ben

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 2, 2014 2:48 PM   in reply to brogers_1

    I'm having the same issue and have tried the various items in this thread without resolution.

     

    Building dependency graph for update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'$$<Updates Publisher><Thu Jan 2 14:42:5.569 2014.5><thread=5>
        Update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')' has direct dependency on 2 other items.$$<Updates Publisher><Thu Jan 2 14:42:5.593 2014.5><thread=5>
                Evaluating dependency on item '59653007-e2e9-4f71-8525-2ff588527978'...$$<Updates Publisher><Thu Jan 2 14:42:5.593 2014.5><thread=5>
                Update with id '59653007-e2e9-4f71-8525-2ff588527978' was not found in the database, unable to fully evaluate it and it's dependencies.$$<Updates Publisher><Thu Jan 2 14:42:5.604 2014.5><thread=5>
                Evaluating dependency on item '3e0afb10-a9fb-4c16-a60e-5790c3803437'...$$<Updates Publisher><Thu Jan 2 14:42:5.604 2014.5><thread=5>
                Update with id '3e0afb10-a9fb-4c16-a60e-5790c3803437' was not found in the database, unable to fully evaluate it and it's dependencies.$$<Updates Publisher><Thu Jan 2 14:42:5.614 2014.5><thread=5>
    Found total of 2 dependencies (may include duplicates).$$<Updates Publisher><Thu Jan 2 14:42:5.614 2014.5><thread=5>
    2 dependencies were not found in scup database during dependency evaluation for update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'$$<Updates Publisher><Thu Jan 2 14:42:5.615 2014.5><thread=5>

     

     

    Resyncing multiple times in WSUS and SCCM do not resolve the issue.

    
     
    |
    Mark as:
  • Currently Being Moderated
    Jan 2, 2014 3:12 PM   in reply to s_bobosky

    Ok - I may have solved my own problem. When I compared my log with Vinod's I noticed they were actually the same to a point.

     

    

    I was actually getting an error here:

     

    PublishItem: --- Digest verification failed on content for software update 'Reader 11.0.01 Update (UpdateId:'e066fa50-eab2-4dba-bae2-0a36ca61c2fa' Vendor:'Adobe Systems, Inc.' Product:'Adobe Reader')'.$$<Updates Publisher><Thu Jan 2 15:3:31.135 2014.6><thread=6>

    I found an article saying to edit the update, and test the url and sure enough the internal proxy server is blocking that url.

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 2, 2014 5:03 PM   in reply to s_bobosky

    s_bobosky,

     

    Glad the problem is solved. And thanks for posting the solution so other can benefit.

     

    b

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points